# pqxx::connect_null Class Reference
[Connection classes]

Nonfunctional, always-down connection policy for testing/debugging purposes. More...

`#include <connection.hxx>`

Inheritance diagram for pqxx::connect_null:

[legend]

List of all members.

## Public Member Functions
| connect_null (const std::string &opts)

## Detailed Description

Nonfunctional, always-down connection policy for testing/debugging purposes.

Warning:
  You don't want to use this policy in normal code. Written for debugging and testing, this "connection policy" always fails to connect, and the internal connection pointer always remains null.

## Constructor & Destructor Documentation

pqxx::connect_null::connect_null | ( | const std::string & | opts | ) | `[explicit]`

The documentation for this class was generated from the following file:

- connection.hxx